Bug Hunting Session
Bug 123587 - Beanshell editor: Show current file name as window title
Summary: Beanshell editor: Show current file name as window title
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Andreas Heinisch
URL:
Whiteboard: target:6.4.0
Keywords: difficultyBeginner, easyHack, skillJava, topicUI
Depends on:
Blocks: Beanshell-Editor
  Show dependency treegraph
 
Reported: 2019-02-20 07:17 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-07-19 17:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-02-20 07:17:40 UTC
Currently some weird non-expanded path is shown in the title.
Instead just the macro name should be shown, e.g. Script.bsh

The code is in scripting/java/com/sun/star/script/framework/provider/beanshell .

You find the Beanshell Editor via Tools->Macros->Organize Macros->Beanshell. Create a library, then a macro, then you can edit it which gets you into the Beanshell Editor.
Comment 1 kushagra 2019-03-16 08:18:19 UTC
I am trying to fix this bug!
Comment 2 Xisco Faulí 2019-06-26 09:50:59 UTC
Dear kushagra,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 3 Commit Notification 2019-07-19 16:31:43 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1223bede826d9b237a6015bfcfb8df08913a02e8%5E%21

tdf#123587 Beanshell editor: Show current file name as window title

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.